import { Signer } from 'ethers';
import { Provider } from '@ethersproject/providers';
import { AccessControlUpgradeableInterface, AccessControlUpgradeable } from '../AccessControlUpgradeable';
import '@ethersproject/abi';
import '../common';

declare class AccessControlUpgradeable__factory {
    static readonly abi: ({
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        outputs?: undefined;
        stateMutability?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        anonymous?: undefined;
    })[];
    static createInterface(): AccessControlUpgradeableInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): AccessControlUpgradeable;
}

export { AccessControlUpgradeable__factory };
