import { Signer } from 'ethers';
import { Provider } from '@ethersproject/providers';
import { ERC2771ContextUpgradeableInterface, ERC2771ContextUpgradeable } from '../ERC2771ContextUpgradeable';
import '@ethersproject/abi';
import '../common';

declare class ERC2771ContextUpgradeable__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ERC2771ContextUpgradeableInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ERC2771ContextUpgradeable;
}

export { ERC2771ContextUpgradeable__factory };
