import { Signer } from 'ethers';
import { Provider } from '@ethersproject/providers';
import { ERC2771ContextInterface, ERC2771Context } from '../ERC2771Context';
import '@ethersproject/abi';
import '../common';

declare class ERC2771Context__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ERC2771ContextInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ERC2771Context;
}

export { ERC2771Context__factory };
