import { Signer } from 'ethers';
import { Provider } from '@ethersproject/providers';
import { GovernorSettingsUpgradeableInterface, GovernorSettingsUpgradeable } from '../GovernorSettingsUpgradeable';
import '@ethersproject/abi';
import '../common';

declare class GovernorSettingsUpgradeable__factory {
    static readonly abi: ({
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        outputs?: undefined;
        stateMutability?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        anonymous?: undefined;
    } | {
        stateMutability: string;
        type: string;
        anonymous?: undefined;
        inputs?: undefined;
        name?: undefined;
        outputs?: undefined;
    })[];
    static createInterface(): GovernorSettingsUpgradeableInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): GovernorSettingsUpgradeable;
}

export { GovernorSettingsUpgradeable__factory };
